package com.gingersoft.gsa.cloud.bean.app.payment.bean;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019-10-31
 * 修订历史：2019-10-31
 * 描述：
 */
public class VoidRequest {

    private String EVENT_NAME;
    private String TXN_ID;
    private String PAYMENT_APP_ID;

    private String QRC_VALUE;
    private boolean PRINT_SS;
    private String MERCHANT_REF;


    public String getEVENT_NAME() {
        return EVENT_NAME;
    }

    public void setEVENT_NAME(String EVENT_NAME) {
        this.EVENT_NAME = EVENT_NAME;
    }

    public String getTXN_ID() {
        return TXN_ID;
    }

    public void setTXN_ID(String TXN_ID) {
        this.TXN_ID = TXN_ID;
    }

    public String getPAYMENT_APP_ID() {
        return PAYMENT_APP_ID;
    }

    public void setPAYMENT_APP_ID(String PAYMENT_APP_ID) {
        this.PAYMENT_APP_ID = PAYMENT_APP_ID;
    }

    public String getQRC_VALUE() {
        return QRC_VALUE;
    }

    public void setQRC_VALUE(String QRC_VALUE) {
        this.QRC_VALUE = QRC_VALUE;
    }

    public boolean getPRINT_SS() {
        return PRINT_SS;
    }

    public void setPRINT_SS(boolean PRINT_SS) {
        this.PRINT_SS = PRINT_SS;
    }

    public String getMERCHANT_REF() {
        return MERCHANT_REF;
    }

    public void setMERCHANT_REF(String MERCHANT_REF) {
        this.MERCHANT_REF = MERCHANT_REF;
    }

    @Override
    public String toString() {
        return "VoidRequest{" +
                "EVENT_NAME='" + EVENT_NAME + '\'' +
                ", TXN_ID='" + TXN_ID + '\'' +
                ", PAYMENT_APP_ID='" + PAYMENT_APP_ID + '\'' +
                ", QRC_VALUE='" + QRC_VALUE + '\'' +
                ", PRINT_SS=" + PRINT_SS +
                ", MERCHANT_REF='" + MERCHANT_REF + '\'' +
                '}';
    }
}
